Description: Fix to work with wxpython3.0
Author: Olly Betts <olly@survex.com>
Bug-Debian: http://bugs.debian.org/725711
Forwarded: no
Last-Update: 2014-11-22

--- a/whyteboard/gui/frame.py
+++ b/whyteboard/gui/frame.py
@@ -264,7 +264,7 @@
             _file = _file.replace(u":", u"-").replace(u"/", u"-")
 
         name = file_dialog(self, _("Save Whyteboard As..."),
-                           wx.SAVE | wx.OVERWRITE_PROMPT, wildcard, _dir, _file)
+                           wx.FD_SAVE | wx.FD_OVERWRITE_PROMPT, wildcard, _dir, _file)
         if name:
             if not os.path.splitext(name)[1]:  # no file extension
                 name += u'.wtbd'
@@ -290,7 +290,7 @@
 
         _dir = self.util.config.get('last_opened_dir') or u""
 
-        filename = file_dialog(self, _("Open file..."), wx.OPEN, wildcard, _dir)
+        filename = file_dialog(self, _("Open file..."), wx.FD_OPEN, wildcard, _dir)
         self.open_file(filename)
 
 
@@ -330,7 +330,7 @@
         if not self.util.im_location:
             return
         filename = file_dialog(self, _("Export data to..."),
-                               wx.SAVE | wx.OVERWRITE_PROMPT, u"PDF (*.pdf)|*.pdf")
+                               wx.FD_SAVE | wx.FD_OVERWRITE_PROMPT, u"PDF (*.pdf)|*.pdf")
 
         if filename:
             ext = os.path.splitext(filename)[1]
@@ -395,7 +395,7 @@
         wildcard = _("Whyteboard Preference Files") + u" (*.pref)|*.pref"
 
         filename = file_dialog(self, _("Export preferences to..."),
-                               wx.SAVE | wx.OVERWRITE_PROMPT, wildcard)
+                               wx.FD_SAVE | wx.FD_OVERWRITE_PROMPT, wildcard)
         if filename:
             if not os.path.splitext(filename)[1]:
                 filename += u".pref"
@@ -409,7 +409,7 @@
         """
         wildcard = _("Whyteboard Preference Files") + u" (*.pref)|*.pref"
 
-        filename = file_dialog(self, _("Import Preferences From..."), wx.OPEN,
+        filename = file_dialog(self, _("Import Preferences From..."), wx.FD_OPEN,
                                wildcard, get_home_dir())
 
         if filename:
@@ -454,7 +454,7 @@
                     u"BMP (*.bmp)|*.bmp|TIFF (*.tiff)|*.tiff")
 
         dlg = wx.FileDialog(self, _("Export data to..."),
-                            style=wx.SAVE | wx.OVERWRITE_PROMPT, wildcard=wildcard)
+                            style=wx.FD_SAVE | wx.FD_OVERWRITE_PROMPT, wildcard=wildcard)
         if dlg.ShowModal() == wx.ID_OK:
             filename = dlg.GetPath()
             _name = os.path.splitext(filename)[1].replace(u".", u"")
--- a/whyteboard/gui/panels.py
+++ b/whyteboard/gui/panels.py
@@ -485,7 +485,7 @@
         if self.directory:
             _dir = self.directory
 
-        name = file_dialog(self, _("Choose a media file"), wx.OPEN, wildcard, _dir)
+        name = file_dialog(self, _("Choose a media file"), wx.FD_OPEN, wildcard, _dir)
         if name:
             self.do_load_file(name)
 
@@ -1019,7 +1019,7 @@
         dc.SelectObject(self.buffer)
 
         gcdc = wx.GCDC(dc)
-        gcdc.SetBrush(wx.Brush(wx.Color(0, 0, 255, 50)))  # light blue
+        gcdc.SetBrush(wx.Brush(wx.Colour(0, 0, 255, 50)))  # light blue
         gcdc.SetPen(wx.Pen((0, 0, 0), 1, wx.TRANSPARENT))
         gcdc.DrawRectangle(0, 0, 150, 150)
 
--- a/whyteboard/tools.py
+++ b/whyteboard/tools.py
@@ -1785,7 +1785,7 @@
         if (not replay and self.canvas.gui.util.config['bmp_select_transparent']
             and meta.transparent):
             dc = wx.GCDC(dc)
-            dc.SetBrush(wx.Brush(wx.Color(0, 0, 255, 50)))  # light blue
+            dc.SetBrush(wx.Brush(wx.Colour(0, 0, 255, 50)))  # light blue
             dc.SetPen(wx.Pen(self.colour, self.thickness, wx.SOLID))
         else:
             dc.SetPen(wx.Pen(self.colour, self.thickness, wx.SHORT_DASH))
--- a/whyteboard/gui/dialogs.py
+++ b/whyteboard/gui/dialogs.py
@@ -1027,8 +1027,9 @@
                 self.list.SetStringItem(index, 2, str(shape.thickness))
                 self.list.SetStringItem(index, 3, str(shape.colour))
                 self.list.SetStringItem(index, 4, shape.properties())
-            self.list.Select(selection)
-            self.list.EnsureVisible(selection)
+            if selection != -1:
+                self.list.Select(selection)
+                self.list.EnsureVisible(selection)
 
 
 
--- a/whyteboard.py
+++ b/whyteboard.py
@@ -30,7 +30,7 @@
 locale.setlocale(locale.LC_ALL)
 
 if not hasattr(sys, 'frozen'):
-    WXVER = '2.8.9'
+    WXVER = '3.0'
     import wxversion
     if not wxversion.checkInstalled(WXVER):
         import wx
